<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:padding="@dimen/dp_10">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:fontFamily="sans-serif-medium"
                android:text="开关"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_14" />

            <CheckBox
                android:id="@+id/turnOffRadioButton"
                android:layout_width="@dimen/titleViewHeight"
                android:layout_height="@dimen/titleViewHeight"
                android:background="@drawable/selector_device_turn_off"
                android:button="@null"
                android:gravity="center" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="模式"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_14" />

            <RadioGroup
                android:id="@+id/modeRadioGroup"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_5"
                android:layout_marginBottom="@dimen/dp_10"
                android:gravity="center"
                android:orientation="horizontal"
                android:paddingHorizontal="@dimen/dp_20">

                <RadioButton
                    android:id="@+id/kitchenRadioButton"
                    style="@style/textRadioButtonStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="厨房" />

                <RadioButton
                    android:id="@+id/showerRadioButton"
                    style="@style/textRadioButtonStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_20"
                    android:layout_weight="1"
                    android:text="舒适浴" />

                <RadioButton
                    android:id="@+id/tempRadioButton"
                    style="@style/textRadioButtonStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="随温感" />
            </RadioGroup>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="温度设置"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/currentTempView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_20"
                    android:fontFamily="sans-serif-medium"
                    android:text="42"
                    android:textColor="@color/mainThemeColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/temperature_unit"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>

            <com.qmuiteam.qmui.widget.QMUISlider
                android:id="@+id/temperatureSlider"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:qmui_slider_bar_height="@dimen/dp_5"
                app:qmui_slider_bar_normal_color="@color/lightMainThemeColor"
                app:qmui_slider_bar_progress_color="@color/mainThemeColor"
                app:qmui_slider_bar_thumb_size="@dimen/dp_25"
                app:qmui_slider_bar_thumb_style_attr="QMUISliderThumbStyle" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/minTempView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="36"
                    android:textColor="@color/subMainThemeColor"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/temperature_unit"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:id="@+id/maxTempView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="60"
                    android:textColor="@color/subMainThemeColor"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/temperature_unit"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/kitchenTimeLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="厨房定时"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:id="@+id/currentTimeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_20"
                    android:fontFamily="sans-serif-medium"
                    android:text="30"
                    android:textColor="@color/mainThemeColor"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="min"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>

            <com.qmuiteam.qmui.widget.QMUISeekBar
                android:id="@+id/timeSeekBar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:qmui_slider_bar_height="@dimen/dp_5"
                app:qmui_slider_bar_normal_color="@color/lightMainThemeColor"
                app:qmui_slider_bar_progress_color="@color/mainThemeColor"
                app:qmui_slider_bar_thumb_size="@dimen/dp_25" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/minTimeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="30"
                    android:textColor="@color/subMainThemeColor"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="min"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:id="@+id/maxTimeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="180"
                    android:textColor="@color/subMainThemeColor"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="min"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <RadioGroup
                android:id="@+id/functionRadioGroup"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/onceRadioButton"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:button="@null"
                    android:drawableTop="@drawable/selector_water_heater_once"
                    android:drawablePadding="@dimen/dp_5"
                    android:gravity="center"
                    android:text="单次"
                    android:textSize="@dimen/sp_16" />

                <RadioButton
                    android:id="@+id/initiateRadioButton"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:button="@null"
                    android:drawableTop="@drawable/selector_water_heater_initiate"
                    android:drawablePadding="@dimen/dp_5"
                    android:gravity="center"
                    android:text="点动"
                    android:textSize="@dimen/sp_16" />

                <RadioButton
                    android:id="@+id/reservationRadioButton"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:button="@null"
                    android:drawableTop="@drawable/selector_water_heater_reservation"
                    android:drawablePadding="@dimen/dp_5"
                    android:gravity="center"
                    android:text="预约"
                    android:textSize="@dimen/sp_16" />

                <RadioButton
                    android:id="@+id/pressureRadioButton"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:button="@null"
                    android:drawableTop="@drawable/selector_water_heater_pressure"
                    android:drawablePadding="@dimen/dp_5"
                    android:gravity="center"
                    android:text="增压"
                    android:textSize="@dimen/sp_16" />
            </RadioGroup>
        </LinearLayout>

        <RelativeLayout
            android:id="@+id/onceConfigLayout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginVertical="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:paddingHorizontal="@dimen/dp_10">

            <TextView
                style="@style/controllerTextViewStyle"
                android:text="单次参数设置" />

            <ImageView style="@style/rightImageStyle" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/timeConfigLayout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:paddingHorizontal="@dimen/dp_10">

            <TextView
                style="@style/controllerTextViewStyle"
                android:text="预约时间设定" />

            <ImageView style="@style/rightImageStyle" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/gasConsumeLayout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:layout_marginHorizontal="@dimen/dp_20"
            android:layout_marginVertical="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:paddingHorizontal="@dimen/dp_10">

            <TextView
                style="@style/controllerTextViewStyle"
                android:text="水气量消耗" />

            <ImageView style="@style/rightImageStyle" />
        </RelativeLayout>
    </LinearLayout>
</androidx.core.widget.NestedScrollView>
